Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.servlet.upload
Class SaveToFileDigester

    java.lang.Object
      com.ejie.r01f.servlet.upload.SaveToFileDigester

All Implemented Interfaces:
  PartDigester

public class SaveToFileDigester
extends java.lang.Object
implements PartDigester

Digester de parts de una request multipart que guarda los part tipo fichero en disco. El directorio en el que se guardan los ficheros se establece en el fichero properties en una sección como: 1024 com.ejie.r01f.servlet.upload.SaveToFileDigester /datos/r01 -- Cualquier configuración que haga falta --

Constructor Summary
`SaveToFileDigester()` Constructor for SaveToFileDigester.

Method Summary
`void` | `digestFilePart(FilePart filePart)` Establece un part tipo fichero
`void` | `digestParamPart(ParamPart paramPart)` Establece un part tipo parametro
`java.lang.String` | `getTargetDir()` Devuelve el directorio destino donde guardar el fichero.
`java.lang.String` | `getTargetPage()` Devuelve la pagina de salida después de todo el tratamiento
`void` | `setConfig(java.util.Properties props)` Establece valores de configuración del partDigester

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaveToFileDigester

    public SaveToFileDigester()

  Constructor for SaveToFileDigester.

Method Detail

### getTargetDir

    public java.lang.String getTargetDir()

  Devuelve el directorio destino donde guardar el fichero. Por defecto coje la configuracion del fichero de propiedades

  Returns:
    el directorio

### setConfig

    public void setConfig(java.util.Properties props)

  Description copied from interface: `PartDigester`
  Establece valores de configuración del partDigester

  Specified by:
    `setConfig` in interface `PartDigester`
  Parameters:
    `props` - Un mapa con la configuracion

### digestParamPart

    public void digestParamPart(ParamPart paramPart)

  Description copied from interface: `PartDigester`
  Establece un part tipo parametro

  Specified by:
    `digestParamPart` in interface `PartDigester`
  Parameters:
    `paramPart` - Un part tipo parametro normal..

### digestFilePart

    public void digestFilePart(FilePart filePart)
                        throws PartDigesterException

  Description copied from interface: `PartDigester`
  Establece un part tipo fichero

  Specified by:
    `digestFilePart` in interface `PartDigester`
  Parameters:
    `filePart` - Un part tipo fichero
  Throws:
    `PartDigesterException` - si hay algún error durante la digestión

### getTargetPage

    public java.lang.String getTargetPage()

  Description copied from interface: `PartDigester`
  Devuelve la pagina de salida después de todo el tratamiento

  Specified by:
    `getTargetPage` in interface `PartDigester`
  Returns:
    la pagina

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD